# Class ArcGISGeocoderSearchProvider

A search provider for geocoders.

#### Hierarchy (view full)

- GeocoderSearchProvider
  - ArcGISGeocoderSearchProvider

#####
Index

### Constructors

constructor

### Methods

_count
_search
_suggest
count
isSupported
search
suggest

##
Constructors

### constructor

- new ArcGISGeocoderSearchProvider(): ArcGISGeocoderSearchProvider

- #### Returns ArcGISGeocoderSearchProvider

  Inherited from GeocoderSearchProvider.constructor

##
Methods

### `Protected`_count

- _count(sources, searchText, options): Promise<CountResult[]>

- Invoked to perform the actual work for count. Derived classes should override this method rather than count().

  #### Parameters

  - sources: FeatureSource[]

    The source to search.

  - searchText: string

    The text to search for.

  - options: SearchOptions

    Options that affect the search.

  #### Returns Promise<CountResult[]>

  Inherited from GeocoderSearchProvider._count

### `Protected`_search

- _search(sources, searchText, options): AsyncIterable<Feature, any, any>

- Invoked to perform the actual work for search. Derived classes should override this method rather than search().

  #### Parameters

  - sources: FeatureSource[]

    The source to search.

  - searchText: string

    The text to search for.

  - options: SearchOptions

    Options that affect the search.

  #### Returns AsyncIterable<Feature, any, any>

  Overrides GeocoderSearchProvider._search

### `Protected`_suggest

- _suggest(sources, searchText, options): Promise<SearchSuggestion[]>

- Invoked to perform the actual work for suggest. Derived classes should override this method rather than suggest().

  #### Parameters

  - sources: FeatureSource[]

    The source to search.

  - searchText: string

    The text to search for.

  - options: SearchOptions

    Options that affect the search.

  #### Returns Promise<SearchSuggestion[]>

  Inherited from GeocoderSearchProvider._suggest

### count

- count(source, searchText, options?): Promise<CountResult[]>

- Searches a given feature source for features that match a search phrase and returns a count of matching features.

  #### Parameters

  - source: FeatureSource | FeatureSource[]

    The source to search.

  - searchText: string

    The text to search for.

  - `Optional` options: SearchOptions

    Options that affect the search.

  #### Returns Promise<CountResult[]>

  An iterator of tasks/CountResult!CountResults containing a count of matching features. If the search is canceled, the provider may reject the returned promise with an instance of support/Cancellable!Cancellation, though it may still fulfill with count results instead.

  Inherited from GeocoderSearchProvider.count

### isSupported

- isSupported(source): boolean

- Determines whether this provider can handle searches for the given feature source.

  #### Parameters

  - source: FeatureSource

    The feature source.

  #### Returns boolean

  Overrides GeocoderSearchProvider.isSupported

### search

- search(source, searchText, options?): AsyncIterable<Feature, any, any>

- Searches a given feature source for features that match a search phrase.

  #### Parameters

  - source: FeatureSource | FeatureSource[]

    The source to search.

  - searchText: string

    The text to search for.

  - `Optional` options: SearchOptions

    Options that affect the search.

  #### Returns AsyncIterable<Feature, any, any>

  An iterator of data/Feature!Features containing search results. If the search is canceled, the provider may reject the returned promise with an instance of support/Cancellable!Cancellation, though it may still fulfill with search results instead.

  Inherited from GeocoderSearchProvider.search

### suggest

- suggest(source, searchText, options?): Promise<SearchSuggestion[]>

- Suggests matching phrases to search for based on some input text.

  #### Parameters

  - source: FeatureSource | FeatureSource[]

    The source to search.

  - searchText: string

    The text to search for.

  - `Optional` options: SearchOptions

    Options that affect the search.

  #### Returns Promise<SearchSuggestion[]>

  A list of suggestions.

  Inherited from GeocoderSearchProvider.suggest